AbstractEventStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util

## Class AbstractEventStream<T>

- java.lang.Object
- - opennlp.tools.util.AbstractEventStream<T>

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<Event>
  Direct Known Subclasses:
    AbstractParserEventStream, ChunkerEventStream, DocumentCategorizerEventStream, LanguageDetectorEventStream, LemmaSampleEventStream, NameFinderEventStream, POSSampleEventStream, SDEventStream, TokSpanEventStream

      public abstract class AbstractEventStream<T>
      extends Object
      implements ObjectStream<Event>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEventStream(ObjectStream<T> samples)` Initializes the current instance with a sample `Iterator`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the `ObjectStream` and releases all allocated resources.
    `Event` | `read()` Returns the next object.
    `void` | `reset()` Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractEventStream

          public AbstractEventStream(ObjectStream<T> samples)

      Initializes the current instance with a sample `Iterator`.
      Parameters:
        `samples` - the sample `Iterator`.

  - ### Method Detail

    - #### read

          public final Event read()
                           throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<Event>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### reset

          public void reset()
                     throws IOException,
                            UnsupportedOperationException

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<Event>`
      Throws:
        `IOException` - if there is an error during reseting the stream
        `UnsupportedOperationException`

    - #### close

          public void close()
                     throws IOException

      Description copied from interface: `ObjectStream`
      Closes the `ObjectStream` and releases all allocated resources. After close was called its not allowed to call read or reset.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `ObjectStream<Event>`
      Throws:
        `IOException` - if there is an error during closing the stream

Copyright © 2026 The Apache Software Foundation. All rights reserved.